<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
"http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<title>Resultado del Test vocacional</title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<style type="text/css">
<!--
body {
	background-color: #ECF0F0;
}
.Estilo1 {font-weight: bold}
.Estilo3 {
	font-family: Arial, Helvetica, sans-serif;
	font-size: 10px;
	color: #333333;
}
.Estilo4 {
	font-family: Verdana, Arial, Helvetica, sans-serif;
	font-size: 16px;
}
.Estilo5 {
	font-family: Arial, Helvetica, sans-serif;
	font-weight: bold;
}
.barra3 {
	color: #006600;
	background-color: #006600;
}
.Estilo7 {color: #006600; font-weight: bold; font-size: 18px; }
.Estilo9 {font-family: Arial, Helvetica, sans-serif; font-weight: bold; color: #006600; }
-->
</style></head>

<body>

<table width="90%" border="0" align="center" cellpadding="1" cellspacing="0">
  <tr>
    <td align="center"><span class="Estilo7">OFICINA CENTRAL DE ADMISIÓN </span></td>
  </tr>
  <tr>
    <td align="center">&nbsp;</td>
  </tr>
  <tr>
    <td align="center"><span class="Estilo9">TEST DE ORIENTACIÓN VOCACIONAL</span></td>
  </tr>
</table>
<hr size="4" class="barra3">
<?
$alumno=$_POST["alum"];
$correo=$_POST["correo"];

include ("connec.php");


$id=$_GET["id"];
$result = mysql_query("SELECT camp0, cb, ss, per, cal, art, mec, lit, nombre, email, cod_alum FROM aldorespresumen WHERE cod_alum = '$id' order by camp0 DESC ", $dbh);
$filas = mysql_num_rows($result);
  $cb = mysql_result($result, 0, 1 );  
  $ss = mysql_result($result, 0, 2 );  
  $per = mysql_result($result, 0, 3 );  
  $cal = mysql_result($result, 0, 4 );  
  $art = mysql_result($result, 0, 5 );  
  $mec = mysql_result($result, 0, 6 );  
  $lit = mysql_result($result, 0, 7 );  

  $nomb = mysql_result($result, 0, 8 );  
  $email1 = mysql_result($result, 0, 9 );  


$mec1 = ($mec * 100)/10 ;
$cb1 = ($cb * 100)/8 ;
$ss1 = ($ss * 100)/8 ;
$per1 = ($per * 100)/7 ;
$cal1 = ($cal * 100)/9 ;
$art1 = ($art * 100)/8 ;
$lit1 = ($lit * 100)/6 ;

print "<br><b>Alumno(a):</b> ".$nomb;
print "<br><b>Email:</b> ".$email1;

?>
<?
$ciudades["MEC"] = $mec1;
$ciudades["CB"] = $cb1;
$ciudades["SS"] = $ss1;
$ciudades["PER"] = $per1;
$ciudades["CAL"] = $cal1;
$ciudades["ART"] = $art1;
$ciudades["LIT"] = $lit1;

arsort($ciudades);     //arsort es por indice y en inverso
$num = count($ciudades);

?>
<br>
<br>
<table width="60%" border="0" align="center">
  <tr valign="top">
    <td align="center"><table width="400"  border="1" align="center" cellpadding="3" cellspacing="0" bordercolor="#009999">
      <tr>
        <td>&nbsp;</td>
        <td width="230" align="center"><span class="Estilo5">ÁREAS</span></td>
        <td><span class="Estilo5">PORCENTAJE</span></td>
      </tr>
      <?
$ii=0;
//while($ii < 3) {
while(list($key,$val)=each($ciudades)) {
	$ii = $ii + 1;
	//print ("el elemento " . $key . " contiene el valor " . $val . "<br>");

		if ($key=="CB")
		{
			$key1 = "Ciencias de la vida";
		}
		if ($key=="SS")
		{
			$key1 = "Ciencias de la Conducta y Educación";
		}
		if ($key=="PER")
		{
			$key1 = "Ciencias Políticas y Ciencias Empresariales";
		}
		if ($key=="CAL")
		{
			$key1 = "Ciencias, Economía y Educación";
		}
		if ($key=="ART")
		{
			$key1 = "Arte y Diseño";
		}
		if ($key=="MEC")
		{
			$key1 = "Ciencias e Ingeniería";
		}
		if ($key=="LIT")
		{
			$key1 = "Linguística e Idiomas";
		}




		if ($ii=="1")
		{
			$primero = $key;
			$primero1 = $val;
			$primero2 = $key1;
		}
		elseif ($ii=="2")
		{
			$segundo = $key;
			$segundo1 = $val;
			$segundo2 = $key1;
		}
		elseif ($ii=="3")
		{
			$tercero = $key;
			$tercero1 = $val;
			$tercero2 = $key1;
		}
		else 
		{
		}


		if ($ii < 3)
		{
			if ($val > 49)
			{
			?>
				  <tr>
					<td>&nbsp;<span class="Estilo1"><? echo $ii; ?>º</span></td>
					<td width="200" bgcolor="#FFFFFF">&nbsp;<span class="Estilo1"><? echo $key1; ?></span></td>
					<td bgcolor="#FFFFFF">&nbsp;<span class="Estilo1">
						<? $val = number_format($val, 0);
						echo $val." %"; 
						?>
						</span>
					</td>
				  </tr>
			<?
			}
		}

}
?>
    </table></td>
    <td align="center"><table width="10%"  border="1" align="center" cellpadding="4" cellspacing="0" bordercolor="#009999" bgcolor="#FFFFFF">
      <tr>
        <td valign="bottom">
		<?
		//$primero1t = $primero1 * 2;
		?>
          <table width="30" height="<? echo $primero1 ;?>" border="1" cellpadding="2" cellspacing="0" bgcolor="#009999">
            <tr>
				<?
				$primero1 = number_format($primero1, 0)
				?>
              <td align="center" valign="top"><span class="Estilo3"><b><? echo $primero1?>%</b></span></td>
            </tr>
        </table>
          <? //echo $primero?>
          <span class="Estilo1">1º</span><br>          </td>


		<?
		if ($segundo1 > 49)
		{
			$segundo1 = number_format($segundo1, 0)
			?>
			<td valign="bottom">
			  <table width="30" height="<? echo $segundo1 ;?>" border="1" cellspacing="0" bgcolor="#009999">
				<tr>
				  <td align="center" valign="top"><span class="Estilo3"><b><? echo $segundo1?>%</b></span></td>
				</tr>
			</table>
			  <? //echo $segundo?>
			  <strong>2º</strong><br>		</td>
		<?
		}
		?>
      </tr>
    </table></td>
    <td>&nbsp;</td>
  </tr>
</table><br>
<table width="60%" border="1" align="center" cellpadding="3" cellspacing="0" bordercolor="#009999">
  <tr>
    <td bgcolor="#BDD1D5"><span class="Estilo4">Según los resultados obtenidos; tus mas altos intereses están en las Areas de:
      <? 
	echo $primero2;
	if ($segundo1 > 49)
	{
		echo ", ". $segundo2;
	}
	//if ($tercero1 > 49)
	//{
	//	echo ", y ". $tercero2;
	//}

	?>; las carreras que comprenden estas áreas son: </span></td>
  </tr>
  <tr>
    <td bgcolor="#FFFFFF"><span class="Estilo4"><b>
<?
	$result = mysql_query("SELECT camp0, abrev, abrevcar, carrera FROM aldocarreras WHERE abrev = '$primero' order by orden", $dbh);
	$filas = mysql_num_rows($result);
	if ($filas=="")
	{
	  print "no existen registros";
	}
	if ($primero1 > 49)
	{
		while($row = mysql_fetch_array($result))
		{
					echo $row[3]; 
					echo ", "; 
					$var1 = $row[3];;
					if ($var1=="Educación")
					{
						$educ = "ya";
					}
		}
	}
	else
	{
		echo "<br>Tiene menos del 50% de preguntas contestadas por área de Interés; por lo que el Test no le sugirió carrera alguna.";
	}
?>	
<br>
<?
	if ($segundo1 > 49)
	{
		$result = mysql_query("SELECT camp0, abrev, abrevcar, carrera FROM aldocarreras WHERE abrev = '$segundo' order by orden", $dbh);
		$filas = mysql_num_rows($result);
		if ($filas=="")
		{
		  print "no existen registros";
		}
		while($row = mysql_fetch_array($result))
		{
				$var1 = $row[3];;
				if ($var1=="Educación")
				{
					if ($educ!="ya")
					{
						echo $row[3]; 
						echo ", "; 
					}
				}
				else
				{
					echo $row[3]; 
					echo ", "; 
				}
		}
	}

?></b>	
<br>
	</span>	</td>
  </tr>
  <tr>
    <td bgcolor="#BDD1D5"><span class="Estilo4">Te sugerimos investigues sobre estas carreras profesionales; la Universidad Ricardo Palma te enviará información sobre ellas para que puedas tomar las mejores decisiones sobre la elección de la carrera que deberás seguir.
	</span>
    </td>
  </tr>
</table>

<?
//$sql = "INSERT INTO aldorespresumen(camp0, nombre, apelli1, apelli2, edad, sexo, direccion, distrito, telef1, telef2, email, colegio, carrera1, carrera2)";
//$sql .= "VALUES ('', '$alumno', '$apep', '$apem', '$edad', '$sexo', '$direcc', '$distrito', '$telf1', '$telf2', '$correo', '$colegio', '$carrera1', '$carrera2')";
//$result = mysql_query($sql);

?>

<br>

</body>
</html>
